<html>
<head>
<title>课程信息管理</title>
<link href="/css/manage.css" rel="Stylesheet" type="text/css" />
<script src="/opennew/alert.js" type="text/javascript"></script>
<script src="/opennew/Dialog.js" type="text/javascript"></script>
<script src="/js/ajax.js" type="text/javascript"></script>
<script src="/js/util.js" type="text/javascript"></script>
<script src="../js/calendar.js"></script>
<script>
function changepage(totalPage)
{
    var pageValue=document.courseInfoQueryForm.pageValue.value;
    if(pageValue>totalPage) {
        alert('你输入的页码超出了总页数!');
        return ;
    }
    document.courseInfoQueryForm.pageNow.value = pageValue;
    document.courseInfoQueryForm.submit();
}

/*跳转到查询结果的某页*/
function GoToPage(currentPage/*,totalPage*/) {
    //if(currentPage==0) return;
    //if(currentPage>totalPage) return;
    document.forms[0].pageNow.value = currentPage;
    document.forms[0].submit();
}
</script>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
</head>

<body>
	<div id="container">
		<div id="title">
			<table width="98%" border="0" cellpadding="0" cellspacing="2" align="center">
				<tr>
					<td height="21"><img src="../images/ico/ico08.gif" alt="" />
						<strong>课程信息查询</strong><script type="text/javascript">writeSpaces(105);</script>
						<img src="../images/print.jpg" title="打印" style="cursor: hand;" alt="" onclick="preview();">
					</td>
				</tr>
			</table>
		</div>

		<div id="content">
			<form id="courseInfoQueryForm" name="courseInfoQueryForm" action="/controller/CourseInfoAction.php?action=frontQuery" method="post">
				<!--startprint-->
				<table width="98%" border="1" cellspacing="1" cellpadding="2" align="center" style="margin: 0px;">
					<tr>
						<td colspan="9">
							课程编号: <input class="text" type="text" style="width: 200px" value="<?php echo $courseNumber?>" name="courseNumber" />
							课程名称: <input class="text" type="text" style="width: 200px" value="<?php echo $courseName?>" name="courseName" />
							上课老师: <select name="courseTeacher">
								<option value="">不限制</option>
							<?php
								for($i = 0; $i < count ( $teacher_res ); $i ++) {
									$row = $teacher_res [$i];
									if ($courseTeacher != $row ['teacherNumber'])
										echo "<option value={$row['teacherNumber']}>{$row['teacherName']}</option>";
									else
										echo "<option selected value={$row['teacherNumber']}>{$row['teacherName']}</option>";
								}
							?>
							</select> 
							<input type="button" class="btn" value="查询" onClick="javascript:document.forms[0].submit();" />
							<input type=hidden name=pageNow value="1" />
						</td>
					</tr>
				</table>


				<table width="98%" border="1" cellspacing="1" cellpadding="2" align="center" style="margin: 0px;">
					<tr class="a1" style="color: #ffffff; font-size: 12px;" height="30">
						<th>课程编号</th>
						<th>课程名称</th>
						<th>上课老师</th>
						<th>上课时间</th>
						<th>上课地点</th>
						<th>课程学分</th>
						<th width="60px">操作</th>
					</tr> 
<?php
for($i = 0; $i < count ( $fenyePage->res_array ); $i ++) {
	$row = $fenyePage->res_array [$i];
	$row ['courseTeacher'] = $teacherService->GetTeacher ( $row ['courseTeacher'] )->getTeacherName ();
	echo "<td id=courseNumber_{$row['courseNumber']}>{$row['courseNumber']}</td>";
	echo "<td id=courseName_{$row['courseNumber']}>{$row['courseName']}</td>";
	echo "<td id=courseTeacher_{$row['courseNumber']}>{$row['courseTeacher']}</td>";
	echo "<td id=courseTime_{$row['courseNumber']}>{$row['courseTime']}</td>";
	echo "<td id=coursePlace_{$row['courseNumber']}>{$row['coursePlace']}</td>";
	echo "<td id=courseScore_{$row['courseNumber']}>{$row['courseScore']}</td>";
	echo "<td><div align='left'><a href='#' onclick=\"OpenViewCourseInfo('{$row['courseNumber']}', '查看课程信息','{$row['courseNumber']}');\">查看详情</a>&nbsp;&nbsp;</div> </td>";
	echo "</tr>";
}
echo "<input type=button id='Ajax_Btn' style='display:none;' onclick='Ajax_GetCourseInfo();' />";
echo "</table>";
// 显示上一页和下一页
echo $fenyePage->navigate;
?>
&nbsp;跳转到： <input name="pageValue" type="text" size="4" style="height: 20px; width: 30px; border: 1px solid #999999;" />页
<img src="../images/go.gif" style="cursor: hand;" onclick="changepage(<?php echo $fenyePage->pageCount ?>);" width="37" height="15" />
				<!--endprint-->
			</form>
		</div>
	</div>
</body>
</html>
